main: a b c
	gcc a b c -o main

a: a.c a.h b.h
	gcc -Wall -Werror -Wextra -ansi -pedantic -c a.c -o a

b: b.c b.h c.h
	gcc -Wall -Werror -Wextra -ansi -pedantic -c b.c -o b

c: c.c c.h a.h
	gcc -Wall -Werror -Wextra -ansi -pedantic -c c.c -o c
